import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMZP10 extends JavaObject {
    fachID: number;
    vornote: String | null;
    noteSchriftlichePruefung: String | null;
    muendlichePruefung: boolean;
    muendlichePruefungFreiwillig: boolean;
    noteMuendlichePruefung: String | null;
    abschlussnote: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMZP10;
    static transpilerToJSON(obj: ENMZP10): string;
    static transpilerToJSONPatch(obj: Partial<ENMZP10>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMZP10(obj: unknown): ENMZP10;
